"use strict";

class COOKIE {

    constructor(el) {

        if (document.cookie.search(/(barriere_cookie=true)/) > -1)
        {
            return;
        }
        document.cookie = "barriere_cookie=true";
        this.el = $(el);
        this.el.removeClass("is-hidden");

        // Bind close btn
        this.closeBtn = this.el.find('.cookie-close');
        this.closeBtn.click(() => {
            this.el.fadeOut(300);
        });
    }
}
export default COOKIE;